Loading...
Searching...
No Matches
IteratedFor Class Reference

`#include <fac_iterfor.h>`

## Public Member Functions

| IteratedFor (int from, int to, int max)
| IteratedFor (const IteratedFor &)
| ~IteratedFor ()
IteratedFor & | operator= (const IteratedFor &)
int | from () const
int | to () const
int | n () const
int | max () const
void | nextiteration ()
void | operator++ ()
void | operator++ (int)
bool | iterations_left () const
int | operator[] (int) const

## Private Member Functions

void | fill (int from, int n)

## Private Attributes

int | MAX
int | FROM
int | TO
int | N
bool | last
int * | index
int * | imax

## Detailed Description

Definition at line 18 of file fac_iterfor.h.

## Constructor & Destructor Documentation

## IteratedFor() [1/2]

IteratedFor::IteratedFor | ( | int | from,
|  | int | to,
|  | int | max )

## IteratedFor() [2/2]

IteratedFor::IteratedFor | ( | const IteratedFor & |  | ) |

## ~IteratedFor()

IteratedFor::~IteratedFor | ( |  | ) |

## Member Function Documentation

## fill()

void IteratedFor::fill | ( | int | from,
|  | int | n )

private

## from()

int IteratedFor::from | ( |  | ) | const

inline

Definition at line 34 of file fac_iterfor.h.

{ return FROM; }
IteratedFor::FROM
int FROM
Definition fac_iterfor.h:22

## iterations_left()

bool IteratedFor::iterations_left | ( |  | ) | const

inline

Definition at line 41 of file fac_iterfor.h.

{ return ! last; }
IteratedFor::last
bool last
Definition fac_iterfor.h:25

## max()

int IteratedFor::max | ( |  | ) | const

inline

Definition at line 37 of file fac_iterfor.h.

{ return MAX; }
IteratedFor::MAX
int MAX
Definition fac_iterfor.h:21

## n()

int IteratedFor::n | ( |  | ) | const

inline

Definition at line 36 of file fac_iterfor.h.

{ return N; };
IteratedFor::N
int N
Definition fac_iterfor.h:24

## nextiteration()

void IteratedFor::nextiteration | ( |  | ) |

## operator++() [1/2]

void IteratedFor::operator++ | ( |  | ) |

inline

Definition at line 39 of file fac_iterfor.h.

{ nextiteration(); }
IteratedFor::nextiteration
void nextiteration()

## operator++() [2/2]

void IteratedFor::operator++ | ( | int |  | ) |

inline

Definition at line 40 of file fac_iterfor.h.

{ nextiteration(); }

## operator=()

IteratedFor & IteratedFor::operator= | ( | const IteratedFor & |  | ) |

## operator[]()

int IteratedFor::operator[] | ( | int |  | ) | const

## to()

int IteratedFor::to | ( |  | ) | const

inline

Definition at line 35 of file fac_iterfor.h.

{ return TO; }
IteratedFor::TO
int TO
Definition fac_iterfor.h:23

## Field Documentation

## FROM

int IteratedFor::FROM

private

Definition at line 22 of file fac_iterfor.h.

## imax

int* IteratedFor::imax

private

Definition at line 27 of file fac_iterfor.h.

## index

int* IteratedFor::index

private

Definition at line 26 of file fac_iterfor.h.

## last

bool IteratedFor::last

private

Definition at line 25 of file fac_iterfor.h.

## MAX

int IteratedFor::MAX

private

Definition at line 21 of file fac_iterfor.h.

## N

int IteratedFor::N

private

Definition at line 24 of file fac_iterfor.h.

## TO

int IteratedFor::TO

private

Definition at line 23 of file fac_iterfor.h.

The documentation for this class was generated from the following file:

- factory/fac_iterfor.h